%
% Demo for Salient Point Detection
% by Umberto Castellani et al.
%
% 
% U. Castellani, M. Cristani, S. Fantoni, V. Murino. Sparse points 
% matching by combining 3D mesh saliency with statistical descriptors.
% Computer Graphics Forum. Vol. 27, No. 2, 2008, pp. 643-652
%

clear all;
close all ;
dir = '3DMeshes';
filename = 'bunny-range-000_dec5000.ply';
%filename = 'armadillo.ply';

param = [0.003,0.75,0.05,150,0.2,0.07,1.5];
[vertices,normals,colors,faces,saliency,saliencymark] = GetSalientVertices(dir,filename,param);


index = find(saliencymark);
figure(2);
trisurf(faces',vertices(1,:)',vertices(2,:)',vertices( 3,:)');
hold on;
plot3(vertices(1,index),vertices(2,index),vertices(3,index),'r.','MarkerSize',30); 
shading interp, axis image, axis tight, lighting phong, camlight
